<template>
  <div>
    <div class="text-center" v-if="loadingCardDashboard">
      <v-row align="center" justify="center">
        <v-col
          cols="12"
          xs="12"
          sm="6"
          md="6"
          lg="2"
          v-for="index in 5"
          :key="index"
        >
          <CardLoading></CardLoading>
        </v-col>
      </v-row>
    </div>
    <div v-else class="my-4">
      <CardGroup :locationAndLockerAmount="locationAndLockerAmount" />
    </div>
  </div>
</template>

<script>
import CardGroup from "./CardGroup";
import CardLoading from "./CardLoading";

export default {
  components: {
    CardGroup,
    CardLoading,
  },
  data() {
    return {
      loadingCardDashboard: true,
      locationAndLockerAmount: [],
    };
  },
  async created() {
    await this.fetchLocateAndLocation();
  },
  methods: {
    async fetchLocateAndLocation() {
      await this.$store.dispatch("dashboard/getLocateAndLocationCount");
      this.locationAndLockerAmount = this.$store.getters[
        "dashboard/locateAndLocation"
      ];
      this.loadingCardDashboard = false;
    },
  },
};
</script>

<style>
</style>